Page MenuHomePhabricator

Release 5.5.1 (1164)
Closed, ResolvedPublic

Description

Release version: 5.5.1 (1164)
Release tag: releases/5.5.1
Release SHA1:
App Store Submission Date: 06/29/2017
App Store Approval Date: 07/02/2017
App Store Release Date: 07/05/2017
Regression Testing URL: T169000


  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Verify Tweaks are disabled in build submitted to iTunesConnect via internal testing
  • Submit Beta on iTunes Connect for external testing review
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Distribute RC to External testers
  • Distribute RC to TSG
  • Post to mobile-l when Beta is approved for external testing
  • Update "What’s New" on iTunes Connect
  • Perform upgrade smoke tests from current App Store version to new "Wikipedia Mobile" release candidate
  • Review Regression testing report, triage bugs, and identify any blockers
  • Verify Crash report received in HockeyApp
  • Release to App Store (NOT on a Friday!)
  • Update central mobile release history once released
  • Point current status at this card
  • Update version number in feedback email link
  • Update HockeyApp console to mark build as released once released
  • Post on mobile-l

Event Timeline

JMinor created this task.Jun 29 2017, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 29 2017, 5:23 PM
JMinor triaged this task as Medium priority.Jun 29 2017, 5:27 PM
JMinor updated the task description. (Show Details)
JMinor closed this task as Resolved.Jul 6 2017, 11:15 PM
JMinor updated the task description. (Show Details)
JMinor updated the task description. (Show Details)